Class RouteToEBServiceHandler
java.lang.Object
io.vertx.mutiny.ext.web.api.service.RouteToEBServiceHandler
- All Implemented Interfaces:
MutinyDelegate,io.vertx.core.Handler<RoutingContext>,Consumer<RoutingContext>
public class RouteToEBServiceHandler
extends Object
implements io.vertx.core.Handler<RoutingContext>, Consumer<RoutingContext>, MutinyDelegate
Handler that proxy the request to an event bus endpoint, waits for the reply and then writes the HTTP response.
The HTTP request is sent encapsulated into a
This handler requires a
The HTTP request is sent encapsulated into a
ServiceRequest object through the event bus. The expected reply is a ServiceResponse This handler requires a
ValidationHandler that process request parameters, so they can be encapsulated by this handler inside the ServiceRequest
NOTE: This class has been automatically generated from the original non Mutiny-ified interface.
- Author:
- Francesco Guardiani @slinkydeveloper
- See Also:
-
RouteToEBServiceHandler
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionRouteToEBServiceHandler(io.vertx.ext.web.api.service.RouteToEBServiceHandler delegate) Create a new instance ofRouteToEBServiceHandlerdelegating to the given (non-null) instance ofRouteToEBServiceHandler.RouteToEBServiceHandler(Object delegate) -
Method Summary
Modifier and TypeMethodDescriptionvoidaccept(RoutingContext item) Handle an item.static RouteToEBServiceHandlerBuild a newRouteToEBServiceHandlerstatic RouteToEBServiceHandlerbuild(EventBus eventBus, String address, String actionName, io.vertx.core.eventbus.DeliveryOptions deliveryOptions) Build a newRouteToEBServiceHandlerbooleanextraPayloadMapper(Function<RoutingContext, io.vertx.core.json.JsonObject> extraPayloadMapper) WhenextraPayloadMapperis configured, this handler puts the evaluation result intoServiceRequest#getExtra()io.vertx.ext.web.api.service.RouteToEBServiceHandlerGet the delegate instance.voidhandle(RoutingContext item) Handle an item.inthashCode()static RouteToEBServiceHandlernewInstance(io.vertx.ext.web.api.service.RouteToEBServiceHandler delegate) Creates a new instance of theRouteToEBServiceHandler.toString()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
RouteToEBServiceHandler
public RouteToEBServiceHandler(io.vertx.ext.web.api.service.RouteToEBServiceHandler delegate) Create a new instance ofRouteToEBServiceHandlerdelegating to the given (non-null) instance ofRouteToEBServiceHandler. -
RouteToEBServiceHandler
-
-
Method Details
-
accept
Handle an item. This method is generated from theoriginalmethod."- Specified by:
acceptin interfaceConsumer<RoutingContext>
-
handle
Handle an item. This method is generated from theoriginalmethod."- Specified by:
handlein interfaceio.vertx.core.Handler<RoutingContext>
-
getDelegate
public io.vertx.ext.web.api.service.RouteToEBServiceHandler getDelegate()Get the delegate instance.This method returns the instance on which this shim is delegating the calls. And so, give you access to the bare API.
- Specified by:
getDelegatein interfaceMutinyDelegate- Returns:
- the delegate instance
-
extraPayloadMapper
public RouteToEBServiceHandler extraPayloadMapper(Function<RoutingContext, io.vertx.core.json.JsonObject> extraPayloadMapper) WhenextraPayloadMapperis configured, this handler puts the evaluation result intoServiceRequest#getExtra()- Parameters:
extraPayloadMapper- mapper- Returns:
-
build
Build a newRouteToEBServiceHandler- Parameters:
eventBus- Vert.x event bus instanceaddress- Event bus endpoint addressactionName- action name of the endpoint. This will be configured asDeliveryOptionsheader namedaction- Returns:
-
build
public static RouteToEBServiceHandler build(EventBus eventBus, String address, String actionName, io.vertx.core.eventbus.DeliveryOptions deliveryOptions) Build a newRouteToEBServiceHandler- Parameters:
eventBus- Vert.x event bus instanceaddress- Event bus endpoint addressactionName- action name of the endpoint. This will be configured asDeliveryOptionsheader namedactiondeliveryOptions- delivery options that will be always sent with the request- Returns:
-
newInstance
public static RouteToEBServiceHandler newInstance(io.vertx.ext.web.api.service.RouteToEBServiceHandler delegate) Creates a new instance of theRouteToEBServiceHandler. -
hashCode
public int hashCode() -
equals
-
toString
-